Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.mdxparse
Class Formula

    java.lang.Object
      com.tonbeller.jpivot.olap.mdxparse.Formula

All Implemented Interfaces:
  Exp

    public class Formula

extends java.lang.Object
implements Exp

Formula representing a WITH MEMBER ... or a WITH SET ...

Method Summary
`void` | `accept(ExpVisitor visitor)` Exp is visitable
`java.lang.Object` | `clone()`
`Exp` | `getExp()`
`java.lang.String` | `getFirstName()` return the first name (Dimension/Hierarchy)
`java.lang.String` | `getLastName()` return the Last name (eg. member name)
`java.lang.String` | `getUniqeName()` return the unique name
`boolean` | `isMember()` Returns the isMember.
`java.lang.String` | `toMdx()` format to MDX

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isMember

    public boolean isMember()

  Returns the isMember.

  Returns:
    boolean

### getUniqeName

    public java.lang.String getUniqeName()

  return the unique name

  Returns:
    String

### getFirstName

    public java.lang.String getFirstName()

  return the first name (Dimension/Hierarchy)

  Returns:
    String

### getLastName

    public java.lang.String getLastName()

  return the Last name (eg. member name)

  Returns:
    String

### toMdx

    public java.lang.String toMdx()

  format to MDX

  Specified by:
    `toMdx` in interface `Exp`

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `Exp`
  Overrides:
    `clone` in class `java.lang.Object`
  See Also:
    `Object.clone()`

### accept

    public void accept(ExpVisitor visitor)

  Description copied from interface: `Exp`
  Exp is visitable

  Specified by:
    `accept` in interface `Exp`
  See Also:
    `Exp.accept(com.tonbeller.jpivot.olap.mdxparse.ExpVisitor)`

### getExp

    public Exp getExp()

  Returns:
    Exp for formula

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD